"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
/* eslint-disable no-console */
const readline = require("readline");
let previousProgress = undefined;
exports.logger = {
    log: (message) => {
        previousProgress = undefined;
        console.log(message);
    },
    error: (message) => {
        previousProgress = undefined;
        console.error(message);
    },
    progress: (message) => {
        if (previousProgress !== undefined) {
            readline.moveCursor(process.stderr, 0, -previousProgress);
        }
        previousProgress = message.split("\n").length;
        console.log(message);
    },
};
